<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="vm"
            type="com.example.beijing_daxing.vm.OutStoreVm" />
        <variable
            name="adapter"
            type="com.example.beijing_daxing.adapter.InAdapter" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/bg1"
        tools:context=".OutActivity"
        android:orientation="vertical">

        <TextView
            style="@style/title_text"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:text="轮挡领用出库" />

        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:layout_weight="1"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            android:adapter="@{adapter}"
            android:padding="10dp" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:background="@color/white"
            android:layout_marginTop="10dp">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="match_parent"
                android:background="@color/bg1"
                android:text="选择机位:" />

            <Spinner
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:textAlignment="center"
                android:onItemSelected="@{vm.selectAreaCode}"
                android:entries="@{vm.areaList}"/>
        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="10dp"
            android:focusable="true"
            android:focusableInTouchMode="true">

            <TextView
                style="@style/info_text"
                android:layout_width="110dp"
                android:layout_height="match_parent"
                android:text="输入领用人:" />

            <EditText
                style="@style/info_text1"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:maxLines="1"
                android:singleLine="true"
                android:imeOptions="actionDone"
                android:text="@={vm.useUser}"/>
        </LinearLayout>

        <Button
            style="@style/button_style"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:onClick="out_submit"
            android:text="提交" />
    </LinearLayout>

</layout>